clc;
clear;
close all;

%Ova skripta prikazuje funkcije zavisnosti efektivne vrednosti napona i
%struje, kao i snage na omskom opterecenju prikljucenom na izlaz monofaznog
%faznog regulatora. Potrebno je formirati nizove ugla paljenja, napona,
%struje i snage

alpha=[0 18 36 54 72 90 108 126 144 172 180];
U=[60 59.8 58.52 55.36 49.96 42.42 33.21 23.13 13.23 2.49 0]; %izmerene vrednosti napona
I=[3 2.99 2.92 2.76 2.49 2.12 1.66 1.15 0.66 0.072 0]; %izmerene vrednosti struje
P=[180 178.83 171.24 153.24 124.83 90 55.16 26.75 8.75 0.1 0]; %izmerene vrednosti snage

R=20; %[Omh] otpornost opterecenja
E=60; %[V} efektivna vrednost ulaznog napona
alpha1=0:0.01:180;
alpha2=alpha1*pi/180;
U1=E*sqrt(1-alpha2/pi+sin(2*alpha2)/(2*pi));
I1=U1/R;
P1=U1.*I1;

figure
plot(alpha,U,'o',alpha1,U1);
xlabel('ugao paljenja [deg]');
ylabel('Efektivna vrednost napona [V]');
xlim([0 182]);
ylim([-5 65]);
legend('izmerene vrednosti','izracunate vrednosti')

figure
plot(alpha,I,'o',alpha1,I1);
xlabel('ugao paljenja [deg]');
ylabel('Efektivna vrednost struje [A]');
xlim([0 182]);
ylim([-0.05 3.05]);
legend('izmerene vrednosti','izracunate vrednosti')

figure
plot(alpha,P,'o',alpha1,P1);
xlabel('ugao paljenja [deg]');
ylabel('Snaga [W]');
xlim([0 182]);
ylim([-15 195]);
legend('izmerene vrednosti','izracunate vrednosti')
